Loading...
Searching...
No Matches
logger.h File Reference
`#include <gnuradio/api.h>`
`#include <spdlog/common.h>`
`#include <spdlog/fmt/fmt.h>`
`#include <spdlog/fmt/ostr.h>`
`#include <spdlog/version.h>`
`#include <memory>`
`#include <spdlog/spdlog.h>`
`#include <spdlog/sinks/dist_sink.h>`
`#include <boost/format.hpp>`
Include dependency graph for logger.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::logging
class | gr::logger
| GR_LOG macros. More...
struct | fmt::formatter< boost::format >

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Macros

#define | GR_LOG_TRACE(log, msg)
#define | GR_LOG_DEBUG(log, msg)
#define | GR_LOG_INFO(log, msg)
#define | GR_LOG_NOTICE(log, msg)
#define | GR_LOG_WARN(log, msg)
#define | GR_LOG_ERROR(log, msg)
#define | GR_LOG_CRIT(log, msg)
#define | GR_LOG_ALERT(log, msg)
#define | GR_LOG_FATAL(log, msg)
#define | GR_LOG_EMERG(log, msg)

## Typedefs

using | gr::log_level = spdlog::level::level_enum
using | gr::logger_ptr = std::shared_ptr<logger>

## Functions

GR_RUNTIME_API bool | gr::configure_default_loggers (gr::logger_ptr &l, gr::logger_ptr &d, const std::string &name)

## Macro Definition Documentation

## GR_LOG_ALERT

#define GR_LOG_ALERT | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->critical(msg); \
}

## GR_LOG_CRIT

#define GR_LOG_CRIT | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->critical(msg); \
}

## GR_LOG_DEBUG

#define GR_LOG_DEBUG | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->debug(msg); \
}

## GR_LOG_EMERG

#define GR_LOG_EMERG | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->critical(msg); \
}

## GR_LOG_ERROR

#define GR_LOG_ERROR | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->error(msg); \
}

## GR_LOG_FATAL

#define GR_LOG_FATAL | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->critical(msg); \
}

## GR_LOG_INFO

#define GR_LOG_INFO | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->info(msg); \
}

## GR_LOG_NOTICE

#define GR_LOG_NOTICE | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->info(msg); \
}

## GR_LOG_TRACE

#define GR_LOG_TRACE | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->trace(msg); \
}

## GR_LOG_WARN

#define GR_LOG_WARN | ( |  | log,
|  |  | msg )

Value:
{ \
log->d_logger->warn(msg); \
}